Page MenuHomePhabricator

Mobile site freezes up when anything bound to resize event (add debouncing)
Closed, ResolvedPublic

Description

We emit a resize event on every native browser event.
This is dumb. Apparently I did this ... I'm sorry :P
In Firefox if you run

mw.mobileFrontend.on( 'resize', function(){console.log(1); }

and then resize your window the browser will freeze

Event Timeline

kaldari created this task.Mar 26 2015, 12:46 AM
kaldari raised the priority of this task from to Needs Triage.
kaldari updated the task description. (Show Details)
kaldari added a subscriber: kaldari.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 26 2015, 12:46 AM
MaxSem triaged this task as Unbreak Now! priority.Mar 26 2015, 12:46 AM
MaxSem set Security to None.
Jdlrobson added a subscriber: Jdlrobson.

You can replicate this without Gather http://localhost:8888/w/index.php?title=Headings&article_action=signup-edit&mobileaction=stable so this issue is in MobileFrontend. Taking a look.

Jdlrobson renamed this task from Mobile site freezes up when resizing window on Gather-enabled pages to Mobile site freezes up when anything bound to resize event (add debouncing).Mar 26 2015, 1:10 AM
Jdlrobson updated the task description. (Show Details)

Got it. As suspected nothing to do with Gather.

Change 199811 had a related patch set uploaded (by Jdlrobson):
Debounce resize events

https://gerrit.wikimedia.org/r/199811

Change 199811 merged by jenkins-bot:
Debounce resize events

https://gerrit.wikimedia.org/r/199811

kaldari closed this task as Resolved.Mar 26 2015, 8:26 PM

Change 201840 had a related patch set uploaded (by Jdlrobson):
Debounce resize events

https://gerrit.wikimedia.org/r/201840

Nnemo added a subscriber: Nnemo.Apr 6 2015, 11:16 AM

Change 201840 merged by jenkins-bot:
Debounce resize and scroll events

https://gerrit.wikimedia.org/r/201840

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMar 7 2018, 4:29 AM